<script>
(function (window, $) {
    function adicionarMarcador(mapa, lat, lng, info, img){
        var latlng = new google.maps.LatLng(lat, lng); 
        var marker = new google.maps.Marker({
                            position: latlng,
                            map: mapa,                                
                            html: info,
                            icon: img,
                            animation: google.maps.Animation.DROP, 
                            draggable: true
        });

        var infoWindow = new google.maps.InfoWindow({ content: marker.html });
        //infoWindow.open(mapa, marker);

        google.maps.event.addListener(marker, "click", function () {
            infoWindow.setContent(this.html);
            infoWindow.open(mapa, this);
        });
    }
    
    $(document).ready(function() {
        {% set centro = widget.puntosMapa.get.first %}
        var latlng = new google.maps.LatLng({{ centro.latitud }}, {{ centro.longitud }}); 
        var options = { zoom: {{ params.zoom }}, center: latlng, mapTypeId: google.maps.MapTypeId.ROADMAP}; 
        var map = new google.maps.Map(document.getElementById("my_mapa_canvas_{{ widget.id }}"), options);
        
        {% for p in widget.puntosMapa.get %}
        adicionarMarcador(map, {{ p.latitud }}, {{ p.longitud }}, '{{ p.descripcion }}', {% if p.imagen is empty %}undefined{% else %}'{{ urlImg }}/widgets/mapa/{{ widget.id }}/{{ p.imagen }}'{% endif %});
        {% endfor %}
    });
})(window, jQuery);
</script>
<style>
#my_mapa_canvas_{{ widget.id }}{
    width: {{ widget.ancho }};
    height: {{ widget.alto }};
    margin: 0 auto;    
}
</style>
<div id="my_mapa_canvas_{{ widget.id }}"></div>